package com.njcn.cssystem.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.cssystem.pojo.param.ElementParam;
import com.njcn.cssystem.pojo.po.CsElement;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 组态图元库 服务类
 * </p>
 *
 * @author xuyang
 * @since 2023-06-14
 */
public interface IElementService extends IService<CsElement> {

    /**
     * 新增组态图元
     * @param param 图元参数
     */
    CsElement addElement(ElementParam param);

    /**
     * 组态图元数据查询
     */
    List<CsElement> findElement();

    /**
     * 组态图元数据查询
     */
    void deleteById(String id);

    /**
     *
     */
    List<CsElement> addByZip(ElementParam param);

    HttpServletResponse downloadZip(String name, HttpServletRequest request, HttpServletResponse response);

}
